Create a CSAT rule for a team
curl --request POST \
--url https://platform.thena.ai/v1/csat/rules/{teamUid} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "High Priority Ticket Survey",
"isActive": true,
"allFilters": {
"ticket": {
"standardFields": [
{
"field": "status",
"operator": "=",
"value": "open"
}
],
"customFields": [
{
"field": "custom_CFLLXQWWY4Z",
"customFieldId": "CFLLXQWWY4Z",
"operator": "=",
"value": "Value"
}
]
},
"account": {
"standardFields": [
{
"field": "status",
"operator": "=",
"value": "open"
}
],
"customFields": [
{
"field": "custom_CFLLXQWWY4Z",
"customFieldId": "CFLLXQWWY4Z",
"operator": "=",
"value": "Value"
}
]
},
"contact": {
"standardFields": [
{
"field": "status",
"operator": "=",
"value": "open"
}
],
"customFields": [
{
"field": "custom_CFLLXQWWY4Z",
"customFieldId": "CFLLXQWWY4Z",
"operator": "=",
"value": "Value"
}
]
}
},
"anyFilters": {
"ticket": {
"standardFields": [
{
"field": "status",
"operator": "=",
"value": "open"
}
],
"customFields": [
{
"field": "custom_CFLLXQWWY4Z",
"customFieldId": "CFLLXQWWY4Z",
"operator": "=",
"value": "Value"
}
]
},
"account": {
"standardFields": [
{
"field": "status",
"operator": "=",
"value": "open"
}
],
"customFields": [
{
"field": "custom_CFLLXQWWY4Z",
"customFieldId": "CFLLXQWWY4Z",
"operator": "=",
"value": "Value"
}
]
},
"contact": {
"standardFields": [
{
"field": "status",
"operator": "=",
"value": "open"
}
],
"customFields": [
{
"field": "custom_CFLLXQWWY4Z",
"customFieldId": "CFLLXQWWY4Z",
"operator": "=",
"value": "Value"
}
]
}
},
"triggerConfig": {
"triggerType": "always",
"randomPercentage": 10,
"triggerEvent": "ticket_resolved",
"delayMinutes": 30
},
"feedbackConfig": {
"enabled": true,
"feedbackType": "star",
"includeCommentField": true,
"customTitle": "How was your experience?",
"customMessage": "Please rate your satisfaction with our support.",
"customThankYouMessage": "Thank you for your feedback!",
"commentFieldLabel": "Additional Comments",
"commentFieldPlaceholder": "Please share any additional feedback here...",
"brandingColor": "#3366CC",
"deliveryChannel": "email"
},
"description": "Sends CSAT surveys to customers with high priority tickets",
"priority": 1
}
'{
"data": {
"ok": true,
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"team": {
"id": "12345678910"
},
"organization": {
"id": "98765432110"
},
"isEnabled": true,
"cooldownPeriodDays": 14,
"userCooldownPeriodDays": 30,
"emailConfigId": "email-config-123",
"closedStatusIds": [
"1",
"2",
"3"
],
"rules": [
{
"id": "e4d2a5b1-9c3f-4c8d-b1a2-3e4f5a6b7c8d",
"name": "High Priority Ticket Survey",
"description": "Sends CSAT surveys to customers with high priority tickets",
"isActive": true,
"priority": 1,
"createdAt": "2023-08-01T12:00:00Z",
"updatedAt": "2023-08-02T14:30:00Z"
}
],
"createdAt": "2023-01-01T00:00:00.000Z",
"updatedAt": "2023-01-01T00:00:00.000Z"
}
},
"status": true,
"message": "CSAT rule created successfully",
"timestamp": "2025-07-15T11:38:09.817Z"
}CSAT
Create a CSAT rule for a team
Creates a new rule for a team. If CSAT settings do not exist for the team, they will be created automatically.
POST
/
v1
/
csat
/
rules
/
{teamUid}
Create a CSAT rule for a team
curl --request POST \
--url https://platform.thena.ai/v1/csat/rules/{teamUid} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "High Priority Ticket Survey",
"isActive": true,
"allFilters": {
"ticket": {
"standardFields": [
{
"field": "status",
"operator": "=",
"value": "open"
}
],
"customFields": [
{
"field": "custom_CFLLXQWWY4Z",
"customFieldId": "CFLLXQWWY4Z",
"operator": "=",
"value": "Value"
}
]
},
"account": {
"standardFields": [
{
"field": "status",
"operator": "=",
"value": "open"
}
],
"customFields": [
{
"field": "custom_CFLLXQWWY4Z",
"customFieldId": "CFLLXQWWY4Z",
"operator": "=",
"value": "Value"
}
]
},
"contact": {
"standardFields": [
{
"field": "status",
"operator": "=",
"value": "open"
}
],
"customFields": [
{
"field": "custom_CFLLXQWWY4Z",
"customFieldId": "CFLLXQWWY4Z",
"operator": "=",
"value": "Value"
}
]
}
},
"anyFilters": {
"ticket": {
"standardFields": [
{
"field": "status",
"operator": "=",
"value": "open"
}
],
"customFields": [
{
"field": "custom_CFLLXQWWY4Z",
"customFieldId": "CFLLXQWWY4Z",
"operator": "=",
"value": "Value"
}
]
},
"account": {
"standardFields": [
{
"field": "status",
"operator": "=",
"value": "open"
}
],
"customFields": [
{
"field": "custom_CFLLXQWWY4Z",
"customFieldId": "CFLLXQWWY4Z",
"operator": "=",
"value": "Value"
}
]
},
"contact": {
"standardFields": [
{
"field": "status",
"operator": "=",
"value": "open"
}
],
"customFields": [
{
"field": "custom_CFLLXQWWY4Z",
"customFieldId": "CFLLXQWWY4Z",
"operator": "=",
"value": "Value"
}
]
}
},
"triggerConfig": {
"triggerType": "always",
"randomPercentage": 10,
"triggerEvent": "ticket_resolved",
"delayMinutes": 30
},
"feedbackConfig": {
"enabled": true,
"feedbackType": "star",
"includeCommentField": true,
"customTitle": "How was your experience?",
"customMessage": "Please rate your satisfaction with our support.",
"customThankYouMessage": "Thank you for your feedback!",
"commentFieldLabel": "Additional Comments",
"commentFieldPlaceholder": "Please share any additional feedback here...",
"brandingColor": "#3366CC",
"deliveryChannel": "email"
},
"description": "Sends CSAT surveys to customers with high priority tickets",
"priority": 1
}
'{
"data": {
"ok": true,
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"team": {
"id": "12345678910"
},
"organization": {
"id": "98765432110"
},
"isEnabled": true,
"cooldownPeriodDays": 14,
"userCooldownPeriodDays": 30,
"emailConfigId": "email-config-123",
"closedStatusIds": [
"1",
"2",
"3"
],
"rules": [
{
"id": "e4d2a5b1-9c3f-4c8d-b1a2-3e4f5a6b7c8d",
"name": "High Priority Ticket Survey",
"description": "Sends CSAT surveys to customers with high priority tickets",
"isActive": true,
"priority": 1,
"createdAt": "2023-08-01T12:00:00Z",
"updatedAt": "2023-08-02T14:30:00Z"
}
],
"createdAt": "2023-01-01T00:00:00.000Z",
"updatedAt": "2023-01-01T00:00:00.000Z"
}
},
"status": true,
"message": "CSAT rule created successfully",
"timestamp": "2025-07-15T11:38:09.817Z"
}Authorizations
Enter your API key
Path Parameters
Body
application/json
Name of the CSAT rule
Example:
"High Priority Ticket Survey"
Whether the rule is active
Example:
true
Filters where ALL conditions must be met
Show child attributes
Show child attributes
Filters where ANY condition can be met
Show child attributes
Show child attributes
Configuration for when and how the CSAT survey is triggered
Show child attributes
Show child attributes
Configuration for the CSAT survey appearance and behavior
Show child attributes
Show child attributes
Description of the CSAT rule
Example:
"Sends CSAT surveys to customers with high priority tickets"
Priority of the CSAT rule
Example:
1
Response
Success - CSAT rule created successfully
⌘I